baseline.medianWindow {baseline} | R Documentation

## Median window

### Description

An implementation and extention of Mark S. Friedrichs' model-free algorithm

### Usage

    baseline.medianWindow(spectra, hwm, hws, end)

### Arguments

`spectra` | Matrix with spectra in rows
`hwm` | Window half width for local medians
`hws` | Window half width for local smoothing (optional)
`end` | Original endpoint handling (optional boolean)

### Details

An algorithm finding medians in local windows and smoothing with gaussian weighting

### Value

`baseline` | Matrix of baselines corresponding to spectra `spectra`
`corrected` | Matrix of baseline corrected spectra

### Author(s)

Kristian Hovde Liland and Bjørn-Helge Mevik

### References

Mark S. Friedrichs: A model-free algorithm for the removal of baseline artifacts

### Examples

    data(milk)
    bc.medianWindow <- baseline(milk$spectra[1,, drop=FALSE], hwm=300,
    	method='medianWindow')
    ## Not run:
    	plot(bc.medianWindow)

    ## End(Not run)

[Package baseline version 1.2-1 Index]